Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.samples.chat.client
Class ChatInfo

    java.lang.Object
      org.jboss.remoting.samples.chat.client.ChatInfo

All Implemented Interfaces:
  java.io.Serializable

    public class ChatInfo

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ChatInfo()`
`ChatInfo(java.lang.String key, java.lang.String description, ChatMember owner, java.util.Date origin, int size, int currentMembers)`

Method Summary
`int` | `get_currentMembers()`
`java.lang.String` | `get_description()`
`java.lang.String` | `get_key()`
`java.util.Date` | `get_origin()`
`ChatMember` | `get_owner()`
`int` | `get_size()`
`void` | `set_currentMembers(int currentMembers)`
`void` | `set_description(java.lang.String description)`
`void` | `set_key(java.lang.String key)`
`void` | `set_origin(java.util.Date origin)`
`void` | `set_owner(ChatMember owner)`
`void` | `set_size(int size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChatInfo

    public ChatInfo()

### ChatInfo

    public ChatInfo(java.lang.String key,
                    java.lang.String description,
                    ChatMember owner,
                    java.util.Date origin,
                    int size,
                    int currentMembers)

Method Detail

### get_key

    public java.lang.String get_key()

### set_key

    public void set_key(java.lang.String key)

### get_description

    public java.lang.String get_description()

### set_description

    public void set_description(java.lang.String description)

### get_owner

    public ChatMember get_owner()

### set_owner

    public void set_owner(ChatMember owner)

### get_origin

    public java.util.Date get_origin()

### set_origin

    public void set_origin(java.util.Date origin)

### get_size

    public int get_size()

### set_size

    public void set_size(int size)

### get_currentMembers

    public int get_currentMembers()

### set_currentMembers

    public void set_currentMembers(int currentMembers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.